libmpfc-devel-1.3.8-alt0.5.qa2.1.i586.rpm


Advertisement

Description

libmpfc-devel - MPFC is music player for console (development files)

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package filename libmpfc-devel-1.3.8-alt0.5.qa2.1.i586.rpm
Package name libmpfc-devel
Package version 1.3.8
Package release alt0.5.qa2.1
Package architecture i586
Package type rpm
Category Development/C
Homepage -
License -
Maintainer -
Download size 177.44 KB
Installed size 177.44 KB
MPFC is an abbrevation for Music Player For Console.
It is a full-featured curses-based playlist-oriented player.
This package contains files for development with libmpfc.

Alternatives

Package Version Architecture Repository
libmpfc-devel-1.3.8-alt0.5.qa2.1.x86_64.rpm 1.3.8 x86_64 Classic
libmpfc-devel - - -

Requires

Name Value
/usr/lib/pkgconfig -
libmpfc = 1.3.8-alt0.5.qa2.1
libncurses-devel -
libncursesw-devel -
rpmlib(PayloadIsLzma) -

Provides

Name Value
libmpfc-devel = 1.3.8-alt0.5.qa2.1
mpfc-devel = 1.3.8-alt0.5.qa2.1
pkgconfig(mpfc) = 1.3.8-svn

Obsoletes

Name Value
mpfc-devel < 1.3.8-alt0.5.qa2.1

Download

Type URL
Mirror ftp.altlinux.org
Binary Package libmpfc-devel-1.3.8-alt0.5.qa2.1.i586.rpm
Source Package mpfc-1.3.8-alt0.5.qa2.1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libmpfc-devel rpm package:
    # sudo apt-get install libmpfc-devel

Files

Path
/usr/include/mpfc/cfg.h
/usr/include/mpfc/charset.h
/usr/include/mpfc/command.h
/usr/include/mpfc/csp.h
/usr/include/mpfc/ep.h
/usr/include/mpfc/file.h
/usr/include/mpfc/file_http.h
/usr/include/mpfc/file_reg.h
/usr/include/mpfc/genp.h
/usr/include/mpfc/genre_list.h
/usr/include/mpfc/inp.h
/usr/include/mpfc/logger.h
/usr/include/mpfc/main_types.h
/usr/include/mpfc/mpfc-config.h
/usr/include/mpfc/myid3.h
/usr/include/mpfc/mystring.h
/usr/include/mpfc/outp.h
/usr/include/mpfc/plugin.h
/usr/include/mpfc/pmng.h
/usr/include/mpfc/song_info.h
/usr/include/mpfc/types.h
/usr/include/mpfc/util.h
/usr/include/mpfc/vfs.h
/usr/include/mpfc/libmpfcwnd/wnd.h
/usr/include/mpfc/libmpfcwnd/wnd_basic.h
/usr/include/mpfc/libmpfcwnd/wnd_button.h
/usr/include/mpfc/libmpfcwnd/wnd_checkbox.h
/usr/include/mpfc/libmpfcwnd/wnd_class.h
/usr/include/mpfc/libmpfcwnd/wnd_combobox.h
/usr/include/mpfc/libmpfcwnd/wnd_def_handlers.h
/usr/include/mpfc/libmpfcwnd/wnd_dialog.h
/usr/include/mpfc/libmpfcwnd/wnd_dlgitem.h
/usr/include/mpfc/libmpfcwnd/wnd_editbox.h
/usr/include/mpfc/libmpfcwnd/wnd_filebox.h
/usr/include/mpfc/libmpfcwnd/wnd_hbox.h
/usr/include/mpfc/libmpfcwnd/wnd_kbd.h
/usr/include/mpfc/libmpfcwnd/wnd_kbind.h
/usr/include/mpfc/libmpfcwnd/wnd_label.h
/usr/include/mpfc/libmpfcwnd/wnd_listbox.h
/usr/include/mpfc/libmpfcwnd/wnd_mouse.h
/usr/include/mpfc/libmpfcwnd/wnd_msg.h
/usr/include/mpfc/libmpfcwnd/wnd_multiview_dialog.h
/usr/include/mpfc/libmpfcwnd/wnd_print.h
/usr/include/mpfc/libmpfcwnd/wnd_radio.h
/usr/include/mpfc/libmpfcwnd/wnd_repval.h
/usr/include/mpfc/libmpfcwnd/wnd_root.h
/usr/include/mpfc/libmpfcwnd/wnd_scrollable.h
/usr/include/mpfc/libmpfcwnd/wnd_types.h
/usr/include/mpfc/libmpfcwnd/wnd_vbox.h
/usr/include/mpfc/libmpfcwnd/wnd_views.h
/usr/lib/libmpfc.so
/usr/lib/libmpfcwnd.so
/usr/lib/pkgconfig/mpfc.pc

Changelog

2015-12-03 - Igor Vlasenko <viy@altlinux.ru> 1.3.8-alt0.5.qa2.1
- NMU: added BR: texinfo
2012-06-07 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.3.8-alt0.5.qa2
- Fixed build
2010-11-25 - Igor Vlasenko <viy@altlinux.ru> 1.3.8-alt0.5.qa1
- rebuild using girar-nmu to require/provide setversion 
by request of mithraen@
2009-12-28 - Ilya Mashkin <oddity@altlinux.ru> 1.3.8-alt0.5
- update requires
2009-08-26 - Ilya Mashkin <oddity@altlinux.ru> 1.3.8-alt0.4
- Rebuild 
- remove old macros
2008-11-12 - Led <led@altlinux.ru> 1.3.8-alt0.3
- new SVN snapshot (revision 269)

See Also

Package Description
libmpfr-devel-4.0.2-alt2.i586.rpm Development MPFR library, header files and documentation
libmpfr6-4.0.2-alt2.i586.rpm Multiple Precision Floating-Point library
libmpg123-1.25.12-alt1.i586.rpm mpg123 library
libmpg123-devel-1.25.12-alt1.i586.rpm mpg123 library headers
libmpip-3.3-alt7.svn20140313.i586.rpm Shared libraries of mpiP (MPI profiling library)
libmpip-devel-3.3-alt7.svn20140313.i586.rpm Development files of mpiP (MPI profiling library)
libmpsse-1.3.2-alt2.i586.rpm Open source library for SPI/I2C control via FTDI chips
libmpsse-devel-1.3.2-alt2.i586.rpm Development files for libmpsse
libmpv-devel-0.29.1-alt6.i586.rpm Header files for mpv
libmpv1-0.29.1-alt6.i586.rpm mpv shared library
libmpx-devel-static-8-alt2.i586.rpm Dependency package for libmpx-devel-static
libmpx2-8.3.1-alt5.i586.rpm The Memory Protection Extensions runtime libraries
libmpx6-devel-static-6.3.1-alt5.i586.rpm The Memory Protection Extensions static libraries
libmpx7-devel-static-7.3.1-alt9.i586.rpm The Memory Protection Extensions static libraries
libmpx8-devel-static-8.3.1-alt5.i586.rpm The Memory Protection Extensions static libraries
Advertisement
Advertisement